// JavaScript Document
<!--
  function CheckLname()
  {
   Lname=document.getElementById("Lname").value;
   ClientID=document.getElementById("ClientID").value;
   var xmlhttp;
   try
   {
	 xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
   }
   catch (e)
   {
     try
     {
       xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
     }
     catch (e)
     { 
	    try
	    {
			xmlhttp=new XMLHttpRequest();
	    }
	    catch (e)
	    {
	    }
     }
   }
  if (Lname=="")
  {
    msg="联系人姓名不能为空";
	var ch=document.getElementById("check1");
	ch.innerHTML="<font color='#aaaaaa'>"+msg+"</font>";
	return false;
  }
//创建请求，并使用escape对sname编码，以避免乱码
   xmlhttp.open("get","SK.CheckLinkman.asp?Lname="+escape(Lname)+ "&ClientID="+escape(ClientID)+"&t=" +  new Date().getTime());
   xmlhttp.onreadystatechange=function()
   {
     if(4==xmlhttp.readyState)
	 {
	   if(200==xmlhttp.status)
	   {
	     if (xmlhttp.responseText=="yes")
	     { 
		   msg="已经存在";
	     }
		 else
		 {
		  msg="输入正确";
		 }		
	   }
	   else
	   {
	     msg="网络失败";
	   }
	   var ch=document.getElementById("check1");
	   ch.innerHTML="<font color='#aaaaaa'>"+msg+"</font>";	   
	 }
   }
   xmlhttp.send(null);  
   return false;
   }  
//-->